package edu.umd.dawn.common.enums;

public enum Role {
    USER(0),
    REPORTER(1),
    ADMIN(2),
    SUPER(3);

    private int level;

    private Role(int level) {
        this.level = level;
    }

    public static Role fromInt(int level) {
        return Role.values()[level];
    }

    public boolean isAccessAllowed(Role minimum) {
        return minimum.level <= level;
    }
}
