package edu.umd.dawn.common.logging;

import java.util.Map;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

@Data
@EqualsAndHashCode(callSuper = false)
@SuperBuilder
public class RequestLog extends Log {

    @Builder.Default
    private String type = "request";

    private double duration;
    private int statusCode;
    private String method;
    private String path;

    @ToString.Exclude
    private Map<String, String> headers;

    @ToString.Exclude
    private Map<String, String> parameters;
}
